### Class

# Adw LeafletPage

#### Description [src]

    final class Adw.LeafletPage : GObject.Object {
      /* No available fields */
    }

An auxiliary class used by `AdwLeaflet`.

#### Hierarchy

#### Ancestors

- GObject

#### Instance methods

###### adw_leaflet_page_get_child

Gets the leaflet child th which `self` belongs.

Available since: 1.0

###### adw_leaflet_page_get_name

Gets the name of `self`.

Available since: 1.0

###### adw_leaflet_page_get_navigatable

Gets whether the child can be navigated to when folded.

Available since: 1.0

###### adw_leaflet_page_set_name

Sets the name of the `self`.

Available since: 1.0

###### adw_leaflet_page_set_navigatable

Sets whether `self` can be navigated to when folded.

Available since: 1.0

##### Methods inherited from GObject (43)

#### Properties

###### Adw.LeafletPage:child

The child of the page.

Available since: 1.0

###### Adw.LeafletPage:name

The name of the child page.

Available since: 1.0

###### Adw.LeafletPage:navigatable

Whether the child can be navigated to when folded.

Available since: 1.0

#### Signals

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct AdwLeafletPageClass {
      GObjectClass parent_class;

    }

###### Class members

`parent_class` |
    GObjectClass
| No description available.